# Please update release notes:
# make -C SOURCES release-notes.{html,txt}
#

### NOTE !!
### push new version of mageia-repos before bumping version on this
### package, or you will break the buildsystem

%define am_i_cauldron 1
%if %am_i_cauldron
%define distrib Cauldron
%else
%define distrib Official
%endif
%define rel 0.3
%define distname %(echo %{distrib} | tr "A-Z" "a-z")
%define distabbrv mga
%define distsuffix .%{distabbrv}
%define distribution Mageia
%define lc_distro %(echo %{distribution} | tr "A-Z" "a-z")

%define product_vendor Mageia.Org
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%if %am_i_cauldron
%define product_branch Devel
%else
%define product_branch Official
%endif
%define product_release 10
%define product_arch %{_target_cpu}

%define product_id_base vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch

%if %am_i_cauldron
    %define unstable %%_with_unstable --with-unstable
%endif

# The distro release, what is written on box
%define distro_release %version

# The distro branch: Cauldron or Official
%define distro_branch %distrib

# The distro arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# distro_arch => the distribution we are using
%define distro_arch %_target_cpu

# To be coherent with %distro_arch I provide os too
# be I wonder it will be linux for a long time
%define distro_os %_target_os

%define realversion %version
%define mgaver %(echo %version | sed 's/\\.//')

Summary:	%{distribution} release file
Name:		%{lc_distro}-release
Version:	10
Release:	%mkrel %rel
License:	GPL
URL:		https://www.mageia.org/
Group:		System/Base
# so that mgarepo sync doesn't remove it (used for updating release notes):
Source0:	Makefile
Source3:	CREDITS
# edited lynx -dump of wiki:
Source4:	release-notes.txt
Source5:	release-notes.html
Source6:	ldap-names.py

# systemd presets for the distribution
Source9:	95-initscripts-default.preset
Source10:	85-display-manager.preset
Source11:	90-default.preset
Source12:	90-default-user.preset
Source13:	99-default-disable.preset

%description
%{distribution} release file.

%package common
Summary: %{distribution} release common files
Group: System/Base
Requires: lsb-release
Conflicts: %name < %version-%release
Obsoletes: %name < %version-%release
Obsoletes: mandrake-release mandrakelinux-release mandriva-release
Obsoletes: mandriva-release-common
Obsoletes: rawhide-release redhat-release
Obsoletes: mandriva-doc-common
Conflicts: systemd < 37-5
Conflicts: initscripts < 9.78-1
Requires: mageia-repos >= %{version}

# cf mdvbz#32631
Provides: arch(%_target_cpu)
Provides: %arch_tagged %{lc_distro}-release-common

%description common
Common files for %{distribution} release packages.

%define release_package(s) \
%{-s:%package %1} \
Summary: %{distribution} release file%{?1: for %1} \
Group: System/Base \
Requires:	%{arch_tagged %{lc_distro}-release-common} \
Requires(post):	coreutils \
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release mandriva-release \
Provides:	system-release \
Provides:	system-release(%{version}) \
Provides:	system-release(releasever) = %{version} \
Provides:	%name = %version-%release \

%define release_descr(s) \
%description %{-s:%1} \
%{distribution} release file for %1 flavor. \


%define release_post(s) \
%post %{-s:%1} \
ln -fs product.id.%1 %{_sysconfdir}/product.id


%define release_install(s) \
cat > %{buildroot}%{_sysconfdir}/product.id.%{1} << EOF \
%{product_id_base},product=%1\
EOF\
 \
mkdir -p %{buildroot}%_rpmconfigdir/macros.d \
cat > %{buildroot}%_rpmconfigdir/macros.d/macros.%{1} <<EOF \
%%distribution      %distribution\
%%mandriva_release  %distro_release\
%%distro_release    %distro_release\
%%distro_branch     %distro_branch\
%%distro_arch       %distro_arch\
%%distro_os         %distro_os\
%%distro_class      %%(. %{_sysconfdir}/sysconfig/system; echo \\\$META_CLASS)\
%%mdkver            %mgaver\
%%mdvver            %mgaver\
%%mgaver            %mgaver\
%%distsuffix        %distsuffix\
\
# productid variable\
%%product_id %{product_id_base},product=%{1}\
\
%%product_vendor        %product_vendor\
%%product_distribution  %product_distribution\
%%product_type          %product_type\
%%product_version       %product_version\
%%product_branch        %product_branch\
%%product_release       %product_release\
%%product_arch          %product_arch\
%%product_product       %1\
\
%{?unstable}\
EOF\
 \
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig \
cat > %{buildroot}%{_sysconfdir}/sysconfig/system <<EOF \
SECURITY=3\
CLASS=beginner\
META_CLASS=download\
EOF\


%release_package -s Default
Obsoletes: mandriva-release-Flash mandriva-release-Free mandriva-release-Mini mandriva-release-One mandriva-release-Powerpack

%release_descr -s Default

%prep
#%setup -q -n %{name}
cp -a %SOURCE3 CREDITS
cp -a %SOURCE4 release-notes.txt
cp -a %SOURCE5 release-notes.html
cat > README.urpmi <<EOF
This is %{distribution} %version

You can find the release notes in %_docdir/%name-common/release-notes.txt
EOF

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_prefix}/lib
echo "%{distribution} release %{realversion} (%{distrib}) for %{_target_cpu}" > %{buildroot}%{_sysconfdir}/%{lc_distro}-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/redhat-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/mandrake-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/mandrakelinux-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/mandriva-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/system-release
echo "%{version} %{rel} %{distname}" > %{buildroot}%{_sysconfdir}/version

mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.dist << EOF
%%dist              %{distsuffix}%{distro_release}
%%%{lc_distro}            %{distro_release}
%%%{distabbrv}%{distro_release}              1
EOF

# Generate "standardised" x-distro os-release file for systemd
# https://www.freedesktop.org/software/systemd/man/os-release.html
cat >%{buildroot}%{_prefix}/lib/os-release <<EOF
NAME="%{distribution}"
VERSION="%{realversion}"
ID=%{lc_distro}
VERSION_ID=%{realversion}
ID_LIKE="mandriva fedora"
PRETTY_NAME="%{distribution} %{realversion}"
ANSI_COLOR="1;36"
HOME_URL="https://www.mageia.org/"
SUPPORT_URL="https://www.mageia.org/support/"
BUG_REPORT_URL="https://bugs.mageia.org/"
PRIVACY_POLICY_URL="https://wiki.mageia.org/en/Privacy_policy"
EOF
# Compatibility symlink (although this will be recreated by tmpfiles too)
ln -s %{_prefix}/lib/os-release %{buildroot}%{_sysconfdir}/os-release

# Add presets
mkdir -p %{buildroot}%{_prefix}/lib/systemd/user-preset/
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-preset/
mkdir -p %{buildroot}%{_prefix}/lib/os.release.d/presets

# Default system wide
install -m 0644 %{SOURCE9} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE10} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE11} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE12} %{buildroot}%{_prefix}/lib/systemd/user-preset/
# The same file is installed in two places with identical contents
install -m 0644 %{SOURCE13} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE13} %{buildroot}%{_prefix}/lib/systemd/user-preset/

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/10%{lc_distro}-release.csh<<'EOF'
if ( -r %{_sysconfdir}/sysconfig/system ) then
	eval `sed 's|^#.*||' %{_sysconfdir}/sysconfig/system | sed 's|\([^=]*\)=\([^=]*\)|set \1=\2|g' | sed 's|$|;|' `
	setenv META_CLASS $META_CLASS
else
	setenv META_CLASS unknown
endif
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/10%{lc_distro}-release.sh<<'EOF'
if [ -r %{_sysconfdir}/sysconfig/system ]; then
	. %{_sysconfdir}/sysconfig/system
	export META_CLASS
else
	export META_CLASS=unknown
fi
EOF

%release_install Default

touch %{buildroot}%{_sysconfdir}/product.id


%check
%if %am_i_cauldron
case %release in
    0.*) ;;
    *)
    echo "Cauldron distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif


%release_post -s Default

%define release_files(s:) \
%files %{-s:%{-s*}} \
%_rpmconfigdir/macros.d/macros.%{1} \
%{_sysconfdir}/product.id.%1 \
%ghost %{_sysconfdir}/product.id\
\

%release_files -s Default Default

%files common
%doc CREDITS release-notes.*
%{_rpmconfigdir}/macros.d/macros.dist
%{_prefix}/lib/os-release
%dir %{_prefix}/lib/os.release.d/presets
%dir %{_prefix}/lib/systemd/system-preset
%{_prefix}/lib/systemd/system-preset/85-display-manager.preset
%{_prefix}/lib/systemd/system-preset/90-default.preset
%{_prefix}/lib/systemd/system-preset/95-initscripts-default.preset
%{_prefix}/lib/systemd/system-preset/99-default-disable.preset
%dir %{_prefix}/lib/systemd/user-preset
%{_prefix}/lib/systemd/user-preset/90-default-user.preset
%{_prefix}/lib/systemd/user-preset/99-default-disable.preset
%{_sysconfdir}/*-release
%{_sysconfdir}/release
%{_sysconfdir}/version
%{_sysconfdir}/profile.d/10%{lc_distro}-release.sh
%{_sysconfdir}/profile.d/10%{lc_distro}-release.csh
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/system


%changelog
* Sun Jul 14 2024 tv <tv> 10-0.3.mga10
+ Revision: 2081379
- Update mga10 release notes from wiki

* Sat Apr 06 2024 wally <wally> 10-0.2.mga10
+ Revision: 2055179
- basesystem rebuild for i686
+ tmb <tmb>
- switch to Mageia 10 (Cauldron)

* Sat Aug 19 2023 tmb <tmb> 9-2.mga9
+ Revision: 1964854
- update release notes

* Fri Aug 11 2023 tmb <tmb> 9-1.mga9
+ Revision: 1964612
- switch to release build
- update release notes

* Tue Jun 13 2023 daviddavid <daviddavid> 9-0.32.mga9
+ Revision: 1961907
- update CREDITS for mageia 9 (mga#31990)

* Fri Apr 14 2023 tv <tv> 9-0.31.mga9
+ Revision: 1952953
- Update mga9 release notes from wiki

* Thu Mar 02 2023 tv <tv> 9-0.30.mga9
+ Revision: 1946303
- Update mga9 release notes from wiki

* Mon Feb 20 2023 tv <tv> 9-0.29.mga9
+ Revision: 1944407
- Update mga9 release notes from wiki

* Sat Dec 17 2022 ghibo <ghibo> 9-0.28.mga9
+ Revision: 1924390
- Postpone pipewire default enabling to avoid interference with pulseaudio, by merging patch (from Dave Hodgins), see bug mga#31235 (https://bugs.mageia.org/show_bug.cgi?id=31235#c27).

* Thu Dec 15 2022 tmb <tmb> 9-0.27.mga9
+ Revision: 1923194
- fix up versioning mess
+ tv <tv>
- Fixup version

* Thu Dec 15 2022 tv <tv> 10-0.26.mga9
+ Revision: 1923070
- update mga9 release notes from wiki

* Tue Dec 13 2022 martinw <martinw> 9-0.26.mga9
+ Revision: 1921893
- enable the xdg-user-dirs service by default (mga#30996)

* Tue Nov 22 2022 tv <tv> 9-0.25.mga9
+ Revision: 1910179
- update mga9 release notes from wiki

* Tue Sep 06 2022 wally <wally> 9-0.24.mga9
+ Revision: 1884582
- enable plocate-updatedb.timer by default (mga#30820)

* Sat Aug 27 2022 tv <tv> 9-0.23.mga9
+ Revision: 1881245
- update mga9 release notes from wiki

* Mon Jul 04 2022 tv <tv> 9-0.22.mga9
+ Revision: 1867580
- update mga9 release notes from wiki

* Fri Jun 10 2022 tv <tv> 9-0.21.mga9
+ Revision: 1863852
- update mga9 release notes from wiki

* Thu May 19 2022 tv <tv> 9-0.20.mga9
+ Revision: 1858978
- update mga9 release notes from wiki

* Tue Apr 19 2022 tv <tv> 9-0.19.mga9
+ Revision: 1851774
- update mga9 release notes from wiki

* Wed Mar 16 2022 tv <tv> 9-0.18.mga9
+ Revision: 1794726
- update mga9 release notes from wiki

* Sat Mar 12 2022 tv <tv> 9-0.16.mga9
+ Revision: 1790625
- Enable pipewire socket-activated user service
- Enable pipewire-pulseaudio socket-activated user service
- update mga9 release notes from wiki

* Sat Feb 26 2022 tv <tv> 9-0.15.mga9
+ Revision: 1785365
- update mga9 release notes from wiki

* Wed Feb 02 2022 tv <tv> 9-0.14.mga9
+ Revision: 1770979
- update mga9 release notes from wiki

* Thu Jan 20 2022 tv <tv> 9-0.13.mga9
+ Revision: 1769186
- update mga9 release notes from wiki

* Mon Nov 29 2021 tv <tv> 9-0.12.mga9
+ Revision: 1759825
- update mga9 release notes from wiki

* Tue Nov 09 2021 tv <tv> 9-0.11.mga9
+ Revision: 1755337
- update mga9 release notes from wiki

* Sun Oct 17 2021 tv <tv> 9-0.10.mga9
+ Revision: 1751924
- update mga9 release notes from wiki

* Tue Aug 24 2021 ngompa <ngompa> 9-0.9.mga9
+ Revision: 1742463
- Sync PipeWire presets from Fedora to fully enable PipeWire properly

* Sat Aug 21 2021 tv <tv> 9-0.8.mga9
+ Revision: 1742089
- update mga9 release notes from wiki

* Sun May 23 2021 tv <tv> 9-0.7.mga9
+ Revision: 1726157
- update mga9 release notes from wiki

* Tue Apr 27 2021 tv <tv> 9-0.6.mga9
+ Revision: 1720090
- Enable service to automatically rebuild the RPM database
- update mga9 release notes from wiki

* Sun Apr 18 2021 tv <tv> 9-0.5.mga9
+ Revision: 1716812
- update mga9 release notes from wiki

* Fri Mar 19 2021 tv <tv> 9-0.4.mga9
+ Revision: 1704861
- update mga9 release notes from wiki

* Sat Mar 06 2021 wally <wally> 9-0.3.mga9
+ Revision: 1700225
- enable some user services by default (presets originally from Fedora)

* Sat Mar 06 2021 wally <wally> 9-0.2.mga9
+ Revision: 1700221
- treat user services same way as system services and disable them by default

* Thu Feb 25 2021 tmb <tmb> 9-0.1.mga8
+ Revision: 1690135
- switch to mga9 / Cauldron

* Sun Feb 21 2021 tmb <tmb> 8-3.mga8
+ Revision: 1675637
- update release notes

* Mon Feb 15 2021 tv <tv> 8-2.mga8
+ Revision: 1675424
- update mga8 release notes from wiki
- drop FIXME note from installer release notes

* Mon Feb 15 2021 tmb <tmb> 8-1.mga8
+ Revision: 1675407
- Mageia 8 release build
- update release notes

* Sat Feb 13 2021 tv <tv> 8-0.26.mga8
+ Revision: 1675282
- update mga8 release notes from wiki

* Sat Feb 13 2021 tv <tv> 8-0.25.mga8
+ Revision: 1675281
- update mga8 release notes from wiki

* Mon Feb 08 2021 tv <tv> 8-0.24.mga8
+ Revision: 1675066
- update mga8 release notes from wiki

* Fri Jan 29 2021 tv <tv> 8-0.23.mga8
+ Revision: 1673904
- update mga8 release notes from wiki

* Thu Jan 21 2021 tv <tv> 8-0.22.mga8
+ Revision: 1672728
- update mga8 release notes from wiki
+ marja <marja>
- update CREDITS (mga#28151)

* Tue Jan 12 2021 tv <tv> 8-0.21.mga8
+ Revision: 1671320
- update mga8 release notes from wiki

* Mon Jan 04 2021 tmb <tmb> 8-0.20.mga8
+ Revision: 1668763
- switch to official builds

* Mon Dec 28 2020 tv <tv> 8-0.19.mga8
+ Revision: 1664348
- update mga8 release notes from wiki

* Wed Dec 16 2020 tv <tv> 8-0.18.mga8
+ Revision: 1658238
- update mga8 release notes from wiki

* Tue Dec 08 2020 tv <tv> 8-0.17.mga8
+ Revision: 1654582
- update release notes

* Wed Nov 25 2020 tv <tv> 8-0.16.mga8
+ Revision: 1649157
- update mga8 release notes from wiki
+ wally <wally>
- update Xfce version in release notes

* Mon Nov 16 2020 tv <tv> 8-0.15.mga8
+ Revision: 1646486
- update mga8 release notes

* Tue Nov 03 2020 tv <tv> 8-0.14.mga8
+ Revision: 1642061
- update mga8 release notes

* Wed Oct 21 2020 tv <tv> 8-0.13.mga8
+ Revision: 1637775
- update mga8 release notes

* Tue Sep 29 2020 tv <tv> 8-0.12.mga8
+ Revision: 1631183
- update mga8 release notes

* Wed Sep 16 2020 tv <tv> 8-0.11.mga8
+ Revision: 1626922
- update mga8 release notes

* Sun Aug 30 2020 tv <tv> 8-0.10.mga8
+ Revision: 1619721
- update mga8 release notes

* Sat Aug 22 2020 tv <tv> 8-0.9.mga8
+ Revision: 1617912
- update mga8 release notes

* Mon Aug 03 2020 tv <tv> 8-0.8.mga8
+ Revision: 1610774
- switch to mga8 release notes
+ ovitters <ovitters>
- os-info: use https for home page and support urls
- remove reference to LIBSAFE; this functionality has not worked for 10+ years easily

* Sat Mar 07 2020 tmb <tmb> 8-0.7.mga8
+ Revision: 1554740
- dont start systemd-repart by default (mga#26317)

* Sun Feb 16 2020 umeabot <umeabot> 8-0.6.mga8
+ Revision: 1530882
- Mageia 8 Mass Rebuild
+ marja <marja>
- CREDITS will be for Mageia 8
- Add some Triage contributors

* Fri Sep 06 2019 tv <tv> 8-0.4.mga8
+ Revision: 1437773
- submit to core/release

* Fri Sep 06 2019 tv <tv> 8-0.3.mga8
+ Revision: 1437767
- no reason to use non standard /etc/rpm/macro.d
+ tmb <tmb>
- bump rel again after fixing mageia-repos breakage
- switch back to Cauldron

* Sat Jun 22 2019 tmb <tmb> 7-2.mga7
+ Revision: 1400475
- update release-notes

* Fri Jun 21 2019 tmb <tmb> 7-1.mga7
+ Revision: 1400411
- update release-notes
+ marja <marja>
- Add 2 Sysadm team contributors (mga#24659)
- Add 11 Docteam contributors (mga#24659)
- commit yurchor's patch to add a new Polish translator (mga#24659)
- add 9 full packagers to the CREDITS (mga#24659)

* Sun May 19 2019 tmb <tmb> 7-0.16.mga7
+ Revision: 1398439
- switch from Cauldron to Official release
+ tv <tv>
- generate text from html, thus no need to clean text & we get removal of
  translation "links" for free
- add "update" rule: generate text after html

* Sat May 18 2019 martinw <martinw> 7-0.15.mga7
+ Revision: 1398214
- removed remaining icon references from release notes (mga#24810)

* Wed May 15 2019 tv <tv> 7-0.14.mga7
+ Revision: 1397831
- clean multi languages links & missing image (mga#24810)

* Tue Apr 30 2019 tv <tv> 7-0.13.mga7
+ Revision: 1395952
- update release notes
+ marja <marja>
- Add two more translators to the CREDITS
- Add LpSolit for BugSquad
- update CREDITS for the translators
- the CREDITS will be for Mageia 7 (mga#24659)

* Wed Mar 13 2019 tv <tv> 7-0.11.mga7
+ Revision: 1375402
- provide /etc/system-release, 1 less patch for dracut
- update release notes

* Fri Dec 28 2018 tv <tv> 7-0.10.mga7
+ Revision: 1345361
- updated release notes
+ martinw <martinw>
- revert r1341494, it doesn't work with a fresh install

* Sat Dec 15 2018 martinw <martinw> 7-0.9.mga7
+ Revision: 1341494
- default to enabling login on tty1 when booting to run level 3 (mga#22620)

* Mon Nov 26 2018 tv <tv> 7-0.8.mga7
+ Revision: 1334776
- update release notes
- update release notes

* Mon Nov 05 2018 tv <tv> 7-0.7.mga7
+ Revision: 1328395
- first draft of mga7 release notes

* Tue Oct 30 2018 martinw <martinw> 7-0.6.mga7
+ Revision: 1326578
- add dkms-auto-rebuild and drakx-installer-xsetup services to systemd presets

* Sun Sep 23 2018 umeabot <umeabot> 7-0.5.mga7
+ Revision: 1299433
- Mageia 7 Mass Rebuild
+ tv <tv>
- switch to 7 for release notes

* Sun Jan 07 2018 ngompa <ngompa> 7-0.4.mga7
+ Revision: 1191265
- Do not enable smartd or multipathd by default in presets

* Sat Jan 06 2018 ngompa <ngompa> 7-0.3.mga7
+ Revision: 1190953
- Enable a couple more things by default in preset

* Sat Dec 30 2017 ngompa <ngompa> 7-0.2.mga7
+ Revision: 1188167
- Add systemd presets for default behavior of system services

* Sun Jul 16 2017 neoclust <neoclust> 7-0.1.mga6
+ Revision: 1123468
- Open for mageia 7
+ marja <marja>
- add one more docteam member

* Mon Jul 10 2017 akien <akien> 6-4.mga6
+ Revision: 1109650
- Sync release notes with wiki
- Add some more contributors to CREDITS
+ marja <marja>
- add 2 QA and 2 Docteam members

* Fri Jul 07 2017 akien <akien> 6-3.mga6
+ Revision: 1109539
- Rebuild for enhanced release notes and new contributors in CREDITS
- Fix release-notes.txt file formatting
- Sync release notes with wiki
- Update CREDITS with recent packagers
- Also remove dvg from Triage section as he asked me a while ago

* Fri Jul 07 2017 akien <akien> 6-2.mga6
+ Revision: 1109472
- Sync release notes

* Thu Jul 06 2017 tmb <tmb> 6-1.mga6
+ Revision: 1109121
- switch to official release
- update release notes

* Sat Jun 10 2017 akien <akien> 6-0.19.mga6
+ Revision: 1107504
- Sync release notes with wiki

* Mon May 08 2017 tv <tv> 6-0.18.mga6
+ Revision: 1099643
- update release notes (mga#20804)

* Sat Apr 15 2017 ngompa <ngompa> 6-0.17.mga6
+ Revision: 1096584
- Add system-release(releasever) Provides for libdnf to use

* Fri Nov 25 2016 tv <tv> 6-0.16.mga6
+ Revision: 1070132
- update release notes

* Sat Jul 02 2016 tv <tv> 6-0.15.mga6
+ Revision: 1038295
- update release notes

* Wed Jun 29 2016 tv <tv> 6-0.14.mga6
+ Revision: 1038112
- update release notes
- drop l10n header (mga#18504)
- add an explicit title to release notes (mga#18504)

* Mon Jun 27 2016 tv <tv> 6-0.13.mga6
+ Revision: 1037907
- update release notes
- update release notes

* Tue Jun 07 2016 tv <tv> 6-0.12.mga6
+ Revision: 1020589
- update release notes

* Mon Jun 06 2016 tv <tv> 6-0.11.mga6
+ Revision: 1020324
- update release notes
- update release notes

* Fri May 13 2016 ngompa <ngompa> 6-0.10.mga6
+ Revision: 1014823
- Add privacy policy URL
+ tv <tv>
- update release notes

* Wed May 04 2016 tv <tv> 6-0.9.mga6
+ Revision: 1009219
- update release notes

* Sun Apr 24 2016 ngompa <ngompa> 6-0.8.mga6
+ Revision: 1005973
- Add mageia-repos package as Requires

* Fri Apr 22 2016 tv <tv> 6-0.7.mga6
+ Revision: 1005272
- update release notes
- switch to mga6 release notes

* Thu Mar 03 2016 ngompa <ngompa> 6-0.6.mga6
+ Revision: 985029
- Add system-release Provides

* Sat Feb 20 2016 umeabot <umeabot> 6-0.5.mga6
+ Revision: 972459
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 ngompa <ngompa> 6-0.4.mga6
+ Revision: 898037
- Fix /etc/version to have proper %%distname setting

* Mon Oct 26 2015 ngompa <ngompa> 6-0.3.mga6
+ Revision: 895456
- Move macros.dist creation to where files for subpackage -common are made

* Wed Oct 21 2015 ngompa <ngompa> 6-0.2.mga6
+ Revision: 893743
- Added VERSION_ID and macros.dist (Fixes mga#16977 and mga#16963)

* Sat Jun 20 2015 tmb <tmb> 6-0.1.mga6
+ Revision: 835752
- start road to mga6

* Fri Jun 05 2015 tmb <tmb> 5-2.mga5
+ Revision: 822937
- update release notes

* Sun May 31 2015 tmb <tmb> 5-1.mga5
+ Revision: 822815
- switch to Official branch
- update release notes

* Fri May 22 2015 ennael <ennael> 5-0.13.mga5
+ Revision: 822583
- remove reference to development version in release notes

* Wed May 20 2015 tv <tv> 5-0.12.mga5
+ Revision: 822442
- update release notes

* Sat May 09 2015 tv <tv> 5-0.11.mga5
+ Revision: 821572
- update release notes (to be checked on mirrors)

* Mon Apr 27 2015 tv <tv> 5-0.10.mga5
+ Revision: 820784
- update release notes (to be checked on mirrors)
+ marja <marja>
- removed dvg from translators at his own request
- update, add man-draker entries
- Update Triage (BugSquad) contributors
+ akien <akien>
- Fix alphabetical order with lower case first names
- Add i18n contributors: Michael Eklund, Egoitz Rodriguez, Kiki Syahadat
- Add packager: Nicolas Salguero

* Thu Feb 26 2015 tv <tv> 5-0.9.mga5
+ Revision: 817034
- update release notes (to be checked on mirrors)
+ marja <marja>
- Add two DocTeam contributors
- Removing from CREDITS at his own request
- s/Mageia 4/Mageia 5/
- add new QA contributors
- typo fix in maât's surname

* Wed Feb 18 2015 tv <tv> 5-0.8.mga5
+ Revision: 815467
- update release notes (to be checked on mirrors)

* Sat Feb 14 2015 tv <tv> 5-0.7.mga5
+ Revision: 814967
- update release notes (to be checked on mirrors)
+ daviddavid <daviddavid>
- add daviddavid to QA and Packager list
+ filipesaraiva <filipesaraiva>
- Add filipesaraiva to CREDITS
+ danf <danf>
- Added self to CREDITS

* Fri Feb 06 2015 tv <tv> 5-0.6.mga5
+ Revision: 813720
- update release notes
- use final URL

* Tue Nov 25 2014 tv <tv> 5-0.5.mga5
+ Revision: 799220
- bump product_release to 5
  update release notes
- use mga5 release notes

* Fri Oct 24 2014 colin <colin> 5-0.4.mga5
+ Revision: 792928
- Move os-release file to /usr/lib as per updated guidelines

* Wed Oct 15 2014 umeabot <umeabot> 5-0.3.mga5
+ Revision: 745703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5-0.2.mga5
+ Revision: 682127
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 neoclust <neoclust> 5-0.1.mga5
+ Revision: 580515
- Open for mageia 5
+ stormi <stormi>
- add Akien to QA and format QA section following other team's template
- add stormi in QA credits and sort alphabetically QA section
+ colin <colin>
- Add a couple more packagers to the CREDITS
+ shlomif <shlomif>
- Add some QA team credits.
  This was done per MrsB's (= Claire's) request.
+ marja <marja>
- add Eric Barbero <dune>, who already translated an amazing lot of MCC-help for Mga3

* Mon Jan 27 2014 tmb <tmb> 4-1.mga4
+ Revision: 568464
- fix rel

* Mon Jan 27 2014 tmb <tmb> 4-0.9.mga4
+ Revision: 568460
- switch from Devel to Official
+ ennael <ennael>
- update for final release
+ marja <marja>
- merged docteam and i18n translator lists
- add Filip for Atelier
- add Maximillian, whom I forgot for Mageia 3
+ tv <tv>
- update release notes

* Fri Jan 10 2014 tv <tv> 4-0.7.mga4
+ Revision: 566086
- update release notes
+ ennael <ennael>
- update to Mageia 4

* Fri Dec 20 2013 tv <tv> 4-0.6.mga4
+ Revision: 559104
- update release notes

* Fri Dec 06 2013 tv <tv> 4-0.5.mga4
+ Revision: 555522
- update release notes

* Thu Dec 05 2013 tv <tv> 4-0.4.mga4
+ Revision: 555313
- update release notes

* Mon Nov 25 2013 tv <tv> 4-0.3.mga4
+ Revision: 553495
- let drakx show mga4 release notes instead of mga3 ones

* Sat Oct 19 2013 umeabot <umeabot> 4-0.2.mga4
+ Revision: 523539
- Mageia 4 Mass Rebuild

* Thu May 23 2013 fwang <fwang> 4-0.1.mga4
+ Revision: 424695
- we are now mga4

* Sat May 18 2013 ennael <ennael> 3-1.mga3
+ Revision: 413537
- update release notes
+ tv <tv>
- update release notes
- s/Cauldron/Official/
- bump release to 1
- update release notes
+ tmb <tmb>
- add sebsebseb to QA list

* Tue May 07 2013 tv <tv> 3-0.11.mga3
+ Revision: 412585
- update release notes
- update release notes
- update release notes
- make sure Makefile doesn't got automatically removed by mgarepo sync
- restore file
- update release notes
+ schultz <schultz>
- 3-11
- Add QA People to Credits
- Add final list of Atelier contributors to Credits.
- 0.8
  - Switch artwork, marketing and webteam to Atelier
  - Add external artwork contributors
  - Update Mageia 2 references and remove Mandriva reference
+ doktor5000 <doktor5000>
- added Germ to Forums team, was forgotten in last commit
- added two new Triage team contributors
- update list of Documentation team and Documentation translators
- Add final list of Forums team and Forum helpers to Credits
+ fwang <fwang>
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3-0.6.mga3
+ Revision: 359297
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ tv <tv>
- rip %%clean

* Thu Oct 18 2012 ennael <ennael> 3-0.5.mga3
+ Revision: 308049
- Mageia 3 release notes

* Mon Oct 01 2012 ennael <ennael> 3-0.4.mga3
+ Revision: 301443
- version 3 for release notes

* Thu May 31 2012 ennael <ennael> 3-0.3.mga3
+ Revision: 252239
- add web site for designer of Mageia 2

* Thu May 31 2012 ennael <ennael> 3-0.2.mga3
+ Revision: 252102
- replace Mageia 2 designer with real author

* Sun May 27 2012 tmb <tmb> 3-0.1.mga3
+ Revision: 247548
- start mga3 development

* Mon May 21 2012 ennael <ennael> 2-3.mga2
+ Revision: 235995
- update release notes

* Mon May 21 2012 ennael <ennael> 2-2.mga2
+ Revision: 235974
- update release notes
+ obgr_seneca <obgr_seneca>
- added another German doc translator
- added German doc translators

* Sat May 19 2012 ennael <ennael> 2-1.mga2
+ Revision: 235918
- update release notes
- Mageia 2 final release
- update release notes and CREDITS
+ obgr_seneca <obgr_seneca>
- added doc translator

* Sat May 12 2012 ennael <ennael> 2-0.11.mga2
+ Revision: 235454
- update CREDITS and release notes
+ stormi <stormi>
- update QA CREDITS
+ obgr_seneca <obgr_seneca>
- Updated translator list
+ boklm <boklm>
- update marketing team list
- update triage team with list provided by leuhmanu
- add documentation and documentation translation teams (lists provided by marja)
- CREDITS: update Mageia version
- add QA team
- update translators list
- update packagers list
+ schultz <schultz>
- further missing artwork people
- 1 missing person on Artwork Credits
- add artwork team members to CREDITS

* Wed Mar 14 2012 ennael <ennael> 2-0.7.mga2
+ Revision: 223334
- update release notes files
+ rda <rda>
- fetch only article HTML, without wiki nav/boxes/scripts

* Tue Mar 13 2012 ennael <ennael> 2-0.6.mga2
+ Revision: 223215
- fix wiki page url for release notes

* Sat Mar 10 2012 colin <colin> 2-0.5.mga2
+ Revision: 222352
- Flesh out os-release as per upstream docs (mga#4528)
+ ennael <ennael>
- readd Makefile to generate release notes from wiki

* Sat Dec 10 2011 tv <tv> 2-0.4.mga2
+ Revision: 180073
- revert bogus setting of product_version to "cauldron" (part of r61047 by tmb
  on 2011-02-26, "only obsolete mandriva-release-* to allow clean upgrade")
  we never did this in the past and this break stuff (eg: mga#3603)

* Sat Oct 29 2011 dmorgan <dmorgan> 2-0.3.mga2
+ Revision: 159660
- Rebuild to push in core media

* Sat Oct 29 2011 colin <colin> 2-0.2.mga2
+ Revision: 159643
- Provide /etc/os-release but conflict with systemd versions that provided this file previously
- Remove static use of /etc and replace with %%{_sysconfdir} + standardise macro usage
- Standardise on $RPM_BUILD_ROOT vs. %%{buildroot}
+ boklm <boklm>
- Mageia Cauldron Release 2

* Mon May 30 2011 tmb <tmb> 1-2.mga1
+ Revision: 100800
- rollback to release 1

* Mon May 30 2011 ennael <ennael> 2-0.1.mga2
+ Revision: 100794
- Release 2 for Mageia Cauldron

* Mon May 30 2011 ennael <ennael> 1-1.mga1
+ Revision: 100786
- first stable release of Mageia
- update release notes

* Thu May 26 2011 ennael <ennael> 1-0.12.mga1
+ Revision: 100528
- bump release to copy release notes in rpms tree
- more fixes in CREDITS
+ rda <rda>
- add names in artwork, webteam and sysadmin

* Wed May 25 2011 ennael <ennael> 1-0.11.mga1
+ Revision: 100393
- update credits for Mageia
- add first version of release notes
- update Mageia CREDITS
  keep mdv file for now
+ boklm <boklm>
- add script to generate list of contributors from ldap

* Fri May 20 2011 ennael <ennael> 1-0.10.mga1
+ Revision: 99982
- obsolete mandriva-doc
- update credits text

* Tue Mar 22 2011 ennael <ennael> 1-0.9.mga1
+ Revision: 75473
- add lsb-release as require for common

* Sun Feb 27 2011 tmb <tmb> 1-0.8.mga1
+ Revision: 61065
- rebuild to get changelog and proper signs
- only obsolete mandriva-release-* to allow clean upgrade

* Sat Feb 26 2011 tv <tv> 1-0.6.mga1
+ Revision: 61003
- fix upgrading from Mandriva

* Thu Feb 10 2011 ennael <ennael> 1-0.5.mga1
+ Revision: 49728
- move Free to Default (waiting for official renaming)

* Tue Jan 25 2011 tmb <tmb> 1-0.4.mga1
+ Revision: 39454
- fix filelist
- add /etc/mandriva-release symlink too

* Mon Jan 17 2011 tmb <tmb> 1-0.3.mga1
+ Revision: 21729
- have mageia-release-common obsolete mandriva-release-common to allow clean upgrade

* Mon Jan 10 2011 blino <blino> 1-0.2.mga1
+ Revision: 5019
- use macros instead of writing mageia everywhere
- use distro_ instead in mageia_ in macro names, to be a bit more generic and fork-friendly
+ tmb <tmb>
- fix versioning for initial upgrades
- only create Free for now
- imported package mageia-release

